Show / Hide Table of Contents

# Class ServiceHostBase

##### Inheritance

System.Object
ProtocolEndpoint
ServiceHostBase
ServiceHost

##### Inherited Members

ProtocolEndpoint.MessageDispatcher
ProtocolEndpoint.Start()
ProtocolEndpoint.WaitForExit()
ProtocolEndpoint.Stop()
ProtocolEndpoint.SendRequest<TParams, TResult>(RequestType<TParams, TResult>, TParams)
ProtocolEndpoint.SendRequest<TParams, TResult>(RequestType<TParams, TResult>, TParams, Boolean)
ProtocolEndpoint.SendEvent<TParams>(EventType<TParams>, TParams)
ProtocolEndpoint.SetRequestHandler<TParams, TResult>(RequestType<TParams, TResult>, Func<TParams, RequestContext<TResult>, Task>)
ProtocolEndpoint.SetEventHandler<TParams>(EventType<TParams>, Func<TParams, EventContext, Task>)
ProtocolEndpoint.SetEventHandler<TParams>(EventType<TParams>, Func<TParams, EventContext, Task>, Boolean)
ProtocolEndpoint.OnConnect()
ProtocolEndpoint.OnStop()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Hosting

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public abstract class ServiceHostBase : ProtocolEndpoint, IProtocolEndpoint, IMessageSender

### Constructors

| Improve this Doc View Source

#### ServiceHostBase(ChannelBase)

##### Declaration

    protected ServiceHostBase(ChannelBase serverChannel)

##### Parameters

Type | Name | Description
--- | --- | ---
ChannelBase | serverChannel |

### Methods

| Improve this Doc View Source

#### OnStart()

##### Declaration

    protected override Task OnStart()

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

##### Overrides

ProtocolEndpoint.OnStart()